GET /zones/forecast/{zoneId}/stations
weather.gov:national-weather-service-api
Summary: —
Operation ID: zone_stations
Auth: unknown
Operation ID: zone_stations
Auth: unknown
Description
Returns a list of observation stations for a given zone
Parameters (4)
Feature-Flags
(array, header, optional)
Enable future and experimental features (see documentation for more info): * obs_station_provider: Include the data provider in the metadata about observation stations
cursor
(string, query, optional)
Pagination cursor
limit
(integer, query, optional, default: 500)
Limit
Constraints: {'minimum': 1, 'maximum': 500}
zoneId
(?, path, required)
NWS public zone/county identifier
Examples (3)
| Title | Type | URL | Action |
|---|---|---|---|
| Basic zone stations request | curl |
https://api.weather.gov/zones/forecast/CAZ123/stations |
|
| Zone stations with pagination limit | curl |
https://api.weather.gov/zones/forecast/NYZ123/stations?limit=50 |
|
| Zone stations with feature flags and cursor | curl |
https://api.weather.gov/zones/forecast/TXZ456/stations?limit=100&cursor=eyJvZmZzZXQiOjEwMH0 |
Probe History
Status Codes
| Time | Status | Latency | Size |
|---|---|---|---|
| 2026-03-23 10:42:16.657988 | 500 | 334ms | |
| 2026-03-23 10:24:35.936259 | 500 | 780ms | |
| 2026-03-23 06:10:57.905063 | 500 | 469ms |
Response Changes
| When | Old | New |
|---|---|---|
| 2026-03-23 10:24:35.936259 | 03a0b9e0f8d6 |
ce5e05cd46f1 |
| 2026-03-23 10:42:16.657988 | ce5e05cd46f1 |
cab5c2803b69 |